CVE-2019-17570

Priority
Description
An untrusted deserialization was found in the
org.apache.xmlrpc.parser.XmlRpcResponseParser:addResult method of Apache
XML-RPC (aka ws-xmlrpc) library. A malicious XML-RPC server could target a
XML-RPC client causing it to execute arbitrary code. Apache XML-RPC is no
longer maintained and this issue will not be fixed.
Notes
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):released (3.1.3-7+deb8u1build0.16.04.1)
Ubuntu 18.04 LTS (Bionic Beaver):released (3.1.3-9+deb10u1build0.18.04.1)
Ubuntu 20.04 LTS (Focal Fossa):DNE
Ubuntu 20.10 (Groovy Gorilla):DNE
More Information

Updated: 2020-09-16 16:30:17 UTC (commit a9ac64a2c346d27d41499fd23c2a3fe6c186d994)